Skip to navigation

✨ Get task agreement matrix

Returns a pairwise agreement matrix between selected participants for a single task, averaged across all active dimensions or a single specified dimension.

Authentication

AuthorizationToken

The token (or API key) must be passed as a request header. You can find your user token on the User Account page in Label Studio. Example:

curl https://label-studio-host/api/projects -H "Authorization: Token [your-token]"

Path parameters

project_pkintegerRequired
Project ID
task_pkintegerRequired
Task ID

Query parameters

dimensionintegerOptional
Dimension ID to compute agreement for. If not provided, averages across all active dimensions.
selectionobjectRequired
JSON object specifying which participants to include in the agreement matrix

Response

This endpoint returns an object.
matrixlist of lists of doubles

Pairwise agreement scores matrix where matrix[i][j] is the agreement between users[i] and users[j]

userslist of maps from strings to any

Expanded participant details (annotators and/or model versions)